package com.xinelu.manage.mapper.hospitalinfo;

import com.xinelu.manage.domain.hospitalinfo.HospitalInfo;
import java.util.List;


/**
 * 医院信息管理Mapper接口
 *
 * @author xinyilu
 * @date 2023-02-13
 */
public interface HospitalInfoMapper {
    /**
     * 查询医院信息管理
     *
     * @param id 医院信息管理主键
     * @return 医院信息管理
     */
    HospitalInfo selectHospitalInfoById(Long id);

    /**
     * 查询医院信息管理列表
     *
     * @param hospitalInfo 医院信息管理
     * @return 医院信息管理集合
     */
    List<HospitalInfo> selectHospitalInfoList(HospitalInfo hospitalInfo);

    /**
     * 新增医院信息管理
     *
     * @param hospitalInfo 医院信息管理
     * @return 结果
     */
    int insertHospitalInfo(HospitalInfo hospitalInfo);

    /**
     * 修改医院信息管理
     *
     * @param hospitalInfo 医院信息管理
     * @return 结果
     */
    int updateHospitalInfo(HospitalInfo hospitalInfo);

    /**
     * 删除医院信息管理
     *
     * @param id 医院信息管理主键
     * @return 结果
     */
    int deleteHospitalInfoById(Long id);

    /**
     * 批量删除医院信息管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteHospitalInfoByIds(Long[] ids);

    /**
     * 根据传入医院名称查询是否有重复名称
     *
     * @param hospitalName 医院名称
     * @return 数量
     */
    int selectHospitalNameCount(String hospitalName);

    /**
     * 根据id批量查询医院信息
     *
     * @param ids id数组
     * @return List<HospitalInfo>
     */
    List<HospitalInfo> selectHospitalList(Long[] ids);

    /**
     * @Author mengkuiliang
     * @Description 根据家医机构编码查询医院
     * @Date 2023-10-09 009 15:47
     * @Param [orgCode]
     * @return com.xinelu.manage.domain.hospitalinfo.HospitalInfo
     **/
    HospitalInfo getHosptalByOrgCode(String orgCode);
}
